Package com.collibra.catalog.api.component.classification.dto

# Class ConnectDataCategoryWithDataClassRequest

Object
ConnectDataCategoryWithDataClassRequest

All Implemented Interfaces:
  `Serializable`

public class ConnectDataCategoryWithDataClassRequest extends Object implements Serializable
Criteria for connecting data class and data category.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ConnectDataCategoryWithDataClassRequest.ConnectDataCategoryWithDataClassRequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConnectDataCategoryWithDataClassRequest()`
  `ConnectDataCategoryWithDataClassRequest(UUID dataCategoryId, UUID dataClassId)`
  Creates a new `ConnectDataCategoryWithDataClassRequest` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConnectDataCategoryWithDataClassRequest.ConnectDataCategoryWithDataClassRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getDataCategoryId()`
  The `id` of the data category connected to the data class.
  `UUID`
  `getDataClassId()`
  The `id` of the data class connected to the data category.
  `int`
  `hashCode()`
  `void`
  `setDataCategoryId(UUID dataCategoryId)`
  The `id` of the data category connected to the data class.
  `void`
  `setDataClassId(UUID dataClassId)`
  The `id` of the data class connected to the data category.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConnectDataCategoryWithDataClassRequest

    public ConnectDataCategoryWithDataClassRequest(UUID dataCategoryId, UUID dataClassId)
    Creates a new `ConnectDataCategoryWithDataClassRequest` instance.
    Parameters:
      `dataCategoryId` - The `id` of the data category connected to the data class.
      `dataClassId` - The `id` of the data class connected to the data category.

  - ### ConnectDataCategoryWithDataClassRequest

    public ConnectDataCategoryWithDataClassRequest()

- ## Method Details

  - ### builder

    public static ConnectDataCategoryWithDataClassRequest.ConnectDataCategoryWithDataClassRequestBuilder builder()

  - ### getDataCategoryId

    public UUID getDataCategoryId()
    The `id` of the data category connected to the data class.

  - ### getDataClassId

    public UUID getDataClassId()
    The `id` of the data class connected to the data category.

  - ### setDataCategoryId

    public void setDataCategoryId(UUID dataCategoryId)
    The `id` of the data category connected to the data class.

  - ### setDataClassId

    public void setDataClassId(UUID dataClassId)
    The `id` of the data class connected to the data category.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`